lock screen says "Authentication failed" after upgrade to bionic

Bug #1780342 reported by Brian Murray on 2018-07-05
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ubuntu-release-upgrader (Ubuntu)
Critical
Brian Murray
Bionic
Critical
Brian Murray

Bug Description

After an upgrade from Ubuntu 16.04 to Ubuntu 18.04 was completed I left the system running and did not reboot it. Later on the lock screen kicked in and there was no password dialog anymore, I only saw "Authentication failed" and could not log into the system. Lines similar to the following can be found in the system's journal:

The following lines are displayed in the journal:
juil. 04 09:27:07 ubuntu compiz[1692]: PAM unable to dlopen(pam_unix.so): /lib/security/pam_unix.so: Ne peut ouvrir le fichier d'objet partagé: Aucun fichier ou dossier de ce type
juil. 04 09:27:07 ubuntu compiz[1692]: PAM adding faulty module: pam_unix.so
juil. 04 09:27:07 ubuntu compiz[1692]: PAM unable to dlopen(pam_systemd.so): /lib/security/pam_systemd.so: Ne peut ouvrir le fichier d'objet partagé: Aucun fichier ou dossier de ce type
juil. 04 09:27:07 ubuntu compiz[1692]: PAM adding faulty module: pam_systemd.so

This is because the gnome-session-inhibit call is terminated after the upgrade completed.

[Test Case]
1) Setup the lock screen on an Ubuntu 16.04 system running Unity
2) Upgrade from 16.04 to 18.04 using do-release-upgrade or update-manager -d
3) Do not reboot, wait for the lock screen to take effect
4) Observe that you cannot log in anymore

With the version of ubuntu-release-upgrader from -proposed the lock screen will not kick in after the upgrade.

[Regression Potential]
Its possible the check for Unity in XDG_CURRENT_DESKTOP is incorrect and the lock screen can still kick in.

Related branches

tags: added: id-5b32dfc70f54891287c5942a
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-release-upgrader - 1:18.10.4

---------------
ubuntu-release-upgrader (1:18.10.4) cosmic; urgency=medium

  * DistUpgradeQuirks.py, DistUpgradeController.py: move inhibiting of
    gnome-session idle so that it is called immediately after the upgrade
    starts (LP: #1778817), present a dialog notifying that the lock screen has
    been disabled (LP: #1174093), and do not reenable the lock screen as it
    may fail to work after a release upgrade. (LP: #1780342)
  * DistUpgradeQuirks.py: Add in a quirk for upgrading to Cosmic that will
    check if the system has connectivity to the snap store and replace some
    desktop packages with snaps to ensure the system is similar to a fresh
    install.

 -- Brian Murray <email address hidden> Fri, 06 Jul 2018 11:21:11 -0700

Changed in ubuntu-release-upgrader (Ubuntu):
status: In Progress → Fix Released
Changed in ubuntu-release-upgrader (Ubuntu Bionic):
status: New → In Progress
importance: Undecided → Critical
assignee: nobody → Brian Murray (brian-murray)

Hello Brian, or anyone else affected,

Accepted ubuntu-release-upgrader into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ubuntu-release-upgrader/1:18.04.20 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in ubuntu-release-upgrader (Ubuntu Bionic):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-bionic
Łukasz Zemczak (sil2100) wrote :

Hello Brian, or anyone else affected,

Accepted ubuntu-release-upgrader into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ubuntu-release-upgrader/1:18.04.21 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Brian Murray (brian-murray) wrote :

I tested a release upgrade from Ubuntu 16.04 to Ubuntu 18.04 today using the version of release-upgrader in -proposed and the lock screen did not appear after the upgrade had completed. I left it sitting for a fair bit too.

bdmurray@clean-xenial-amd64:/tmp/u-r-u$ grep "release-upgrader version" /var/log/dist-upgrade/main.log
2018-07-16 14:00:39,174 INFO release-upgrader version '18.04.21' started

bdmurray@clean-xenial-amd64:/tmp/u-r-u$ ls -lh /var/log/dist-upgrade/main.log
-rw-r--r-- 1 root root 84K Jul 16 15:01 /var/log/dist-upgrade/main.log
bdmurray@clean-xenial-amd64:/tmp/u-r-u$ date
Mon Jul 16 15:24:16 PDT 2018

tags: added: verification-done verification-done-bionic
removed: verification-needed verification-needed-bionic
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-release-upgrader - 1:18.04.21

---------------
ubuntu-release-upgrader (1:18.04.21) bionic; urgency=medium

  * DistUpgradeQuirks.py: when a snap fails to install try the next one
    instead of trying to check the return code of the called process which
    causes a Traceback. (LP: #1781412)
  * data/mirrors.cfg: Update the list of official mirrors.

ubuntu-release-upgrader (1:18.04.20) bionic; urgency=medium

  * Purge obsolete packages, if user agrees to remove obsolete
    packages. LP: #1775660
  * DistUpgradeQuirks.py, DistUpgradeController.py: move inhibiting of
    gnome-session idle so that it is called immediately after the upgrade
    starts (LP: #1778817), present a dialog notifying that the lock screen has
    been disabled (LP: #1174093), and do not reenable the lock screen as it
    may fail to work after a release upgrade. (LP: #1780342)
  * DistUpgradeQuirks.py: Add in a quirk for upgrading to Bionic that will
    check if the system has connectivity to the snap store and replace some
    desktop packages with snaps to ensure the system is similar to a fresh
    install. (LP: #1780841)
  * data/mirrors.cfg: Update the list of official mirrors.

 -- Brian Murray <email address hidden> Sun, 15 Jul 2018 10:16:16 -0700

Changed in ubuntu-release-upgrader (Ubuntu Bionic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for ubuntu-release-upgrader has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers